Have an old Mac and not using Yosemite? You could be at risk

Have an old Mac and not using Yosemite? You could be at risk

Tuesday 14th April 2015 at 18:27

By Rob


With the release of Apple’s Yosemite last year, Apple announced that older versions of the Mac software (named “OS X”) would no longer be supported. This means if you’re using an old version then you won’t receive any security fixes to prevent the prolific hacking present on the internet today.

So if you bought your Mac computer prior to around October or November 2014, and haven't upgraded the software to OSX Yosemite, then your computer could be at risk!

The good news is that for most computers it's free to upgrade to the latest version, which also enables you to take advantage of Apple's latest features.

To find out more, visit https://www.apple.com/osx/how-to-upgrade/


We can help you sell online easily too!


We have been helping antiques, vintage and art dealers sell online easily since 2004, and we can help you too.

If you need a new website for your business, contact us on...

Click here to contact us by email

or call us on

+44 (0)1332 898 429

As well as a hand held service, all our customers receive a copy of our marketing tips book which gives you lots of tips and advice on this on how to succeed online.



ph9 web design

By Rob
Tuesday 14th April 2015 at 18:27



Share this article